// 
// Copyright (c) 2002-2009 Nokia Corporation and/or its subsidiary(-ies).
// All rights reserved.
// This component and the accompanying materials are made available
// under the terms of the License "Eclipse Public License v1.0"
// which accompanies this distribution, and is available
// at the URL "http://www.eclipse.org/legal/epl-v10.html".
// 
// Initial Contributors:
// Nokia Corporation - initial contribution.
// 
// Contributors:
// 
// Description:
// 

#ifndef __ContactRemoveAPPUI_H_
#define __ContactRemoveAPPUI_H_

#include <aknappui.h>

class CContactRemoveMainView;
class CContactWrite;

class CContactRemoveAppUi : public CAknAppUi
    {
public:

	void ConstructL();
	~CContactRemoveAppUi();

	void HandleCommandL(TInt aCommand);
	
	void HandleResourceChangeL(TInt aType);

private:

	CContactRemoveMainView* iMainView;
	CContactWrite* iContactWriter;

	};

#endif // __ContactRemoveAPPUI_H_

// End of File
